Vevida - Welke PHP-versie moet ik gebruiken?

Als jouw website gebruik maakt van PHP, zoals bijv. een WordPress website, dan is het van groot belang om deze altijd bij te werken naar de meest recente PHP-versie (zie infographic). Dit zorgt voor een betere prestatie en voorkomt dat je website straks niet meer werkt.


Bij Vevida hebben wij veiligheid hoog in het vaandel staan. Wij gebruiken daarom altijd de meest recente versie van PHP. Zodra er een update verschijnt, voeren wij die uit. Dat verwachten wij ook van onze klanten. In het schema hieronder kun je zien welke PHP-versies er momenteel bij ons zijn en hoeveel daarvan nog worden ondersteund door veiligheidsupdates.


Momenteel ondersteunen wij de volgende PHP-versies:

PHP-versievanaftot en met
7.313 dec 20186 dec 2021
7.412 dec 201928 nov 2022
8.010 dec 202026 nov 2023


PHP tot en met versie 7.2

De ondersteuning op de PHP-versies tot en met 7.2 is gestopt. De ontwikkelaars brengen er geen updates meer voor uit en daardoor kunnen wij voor deze versies de veiligheid niet langer garanderen. 


PHP 7.3

Op 6 december 2021 stopt de ondersteuning voor PHP 7.3 bij ons. Wij raden aan nu al ervoor te zorgen dat jouw website geschikt is gemaakt voor de hogere versies. Hierbij is het verstandig direct de stap naar PHP 8.0 te maken, zodat de website weer een tijd mee kan.


Voor de migratie vind je alle informatie via PHP migreren naar nieuwere versies.


PHP 8.0

Op 10 december 2020 maken wij PHP 8.0 beschikbaar op onze webservers. 


Zelf de PHP-versie veranderen op Windows Server IIS

Plaats de volgende XML-code in een web.config-bestand om de PHP-versie aan te passen. Verander mapnaam in 7.3, 7.4, 8.0, default of latest. 


<?xml version="1.0" encoding="UTF-8"?>
<configuration>
  <system.webServer>
    <handlers>
      <remove name="PHP" />
      <!-- verander mapnaam in één van deze namen: 7.3, 7.4, 8.0, default, latest -->
      <add name="PHP" path="*.php" verb="*" modules="FastCgiModule" scriptProcessor="c:\vevida\php\mapnaam\php-cgi.exe" resourceType="File" />
    </handlers>
  </system.webServer>
</configuration>


M
Marjolein is the author of this solution article.

Was dit antwoord nuttig? Ja Nee

Feedback versturen
Het spijt ons dat we u niet hebben kunnen helpen. Als u feedback geeft, kunnen we het artikel verbeteren.